System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MarshalByValueComponent System.ComponentModel.IListSource System.ComponentModel.ISupportInitializeNotification System.Runtime.Serialization.ISerializable System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlSchemaProvider("GetDataTableSchema") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataTableEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.DesignTimeVisible(false) System.ComponentModel.DefaultProperty("TableName") System.ComponentModel.DefaultEvent("RowChanging") System.ComponentModel.ToolboxItem(false) A table of data from a relational database. To be added
- Constructor
  Construct an empty .
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  Create a with the specified name.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'Runtime.Serialization.SerializationInfo'
  To be added: an object of type 'Runtime.Serialization.StreamingContext'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataRelationCollection To be added To be added: an object of type 'DataRelationCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataTable To be added

  An empty copy of the DataTable. The new DataTable duplicates the Schema and constraints, but does not contain any of the Data from the old DataTable.

  The clone will consist of the same derived classes, if any, as the original DataTable.

  To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataColumnChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataColumnChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataColumnCollection To be added To be added: an object of type 'DataColumnCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Object `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.ConstraintCollection To be added To be added: an object of type 'ConstraintCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Data.DataTable To be added

  A duplicate of the original DataTable including the Schema, the constraints and the Data.

  The duplicate will be an exact copy of the original DataTable and will consist of the same derived classes, if any.

  To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.DataTableReader To be added. To be added. To be added.
- Method
  System.Data.DataTable To be added To be added: an object of type 'DataTable' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataSet To be added To be added: an object of type 'DataSet' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.DataView To be added To be added: an object of type 'DataView' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.PropertyCollection To be added To be added: an object of type 'PropertyCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Field
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added.
- Method
  System.Data.DataTable To be added To be added: an object of type 'DataTable' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataTable `` To be added: an object of type 'DataRowState' To be added To be added: an object of type 'DataTable' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchemaComplexType `` To be added. To be added. To be added. To be added.
- Method
  System.Data.DataRow[] To be added To be added: an object of type 'DataRow []' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Type To be added To be added: an object of type 'Type' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  System.Void `` To be added: an object of type 'DataRow' To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Data.DataRow `` `` To be added: an object of type 'object []' To be added: an object of type 'bool' To be added To be added: an object of type 'DataRow' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.DataRow `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Globalization.CultureInfo To be added To be added: an object of type 'Globalization.CultureInfo' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(50)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow To be added To be added: an object of type 'DataRow' To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.DataRow[] `` To be added. To be added. To be added. To be added.
- Method
  System.Data.DataRow `` To be added: an object of type 'DataRowBuilder' To be added To be added: an object of type 'DataRow' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataColumnChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataColumnChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'DataRowChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataRowChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataRowChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataRowChangeEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Data.DataRelationCollection To be added To be added: an object of type 'DataRelationCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Property
  System.Data.DataColumn[] To be added To be added: an object of type 'DataColumn []' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.TypeConverter("System.Data.PrimaryKeyTypeConverter, System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.PrimaryKeyEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
- Method
  2.0.0.0
  System.Data.XmlReadMode `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.XmlReadMode `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.XmlReadMode `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.XmlReadMode `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.XmlReadMode `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.SerializationFormat.Xml)
  System.Data.SerializationFormat To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataRowChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataRowChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataRowChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.DataRowChangeEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataRowCollection To be added To be added: an object of type 'DataRowCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  System.Data.DataRow[] To be added To be added: an object of type 'DataRow []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` To be added: an object of type 'string' To be added To be added: an object of type 'DataRow []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'DataRow []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'DataViewRowState' To be added To be added: an object of type 'DataRow []' To be added 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.ISite To be added To be added: an object of type 'ComponentModel.ISite' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Collections.IList To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Event
  2.0.0.0
  System.Data.DataTableClearEventHandler To be added. To be added.
- Event
  2.0.0.0
  System.Data.DataTableClearEventHandler To be added. To be added.
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All) System.ComponentModel.DefaultValue("")
- Event
  2.0.0.0
  System.Data.DataTableNewRowEventHandler To be added. To be added.
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.